#Module with the commands to the instrument Multifotômetro

package provide slm_00 0.0

puts "Carregado [info script]"

namespace eval slm_00	 {
    
    variable time_out 200 pin_number d9
    
    #namespace export  readABS readFLUOR readTURB checkConnection
    
    proc readABS { color } {
	
	variable time_out; variable pin_number
	
	puts "Module slm_00 command readABS color: $color\n"
	
        return "ACK;readout"
    }

    proc readFLUOR { color_emitter collor_detector } {
	
	variable time_out; variable pin_number
	
	puts "Module slm_00 command readFLUOR color emitter: $color_emitter and color detector: $collor_detector\n"
	
        return "ACK;readout"
    }

    proc readTURB { color } {
	
	variable time_out; variable pin_number
	
	puts "Module slm_00 command readTURB color: $color\n"
	
        return "ACK;readout"
    }

    #dfc dataFlowController
    proc checkConnection { dfc transaction_id } {

         variable timeout; variable pin_number; variable monitor_serial

	 puts "Command checkConnection of slm_00 dfc: $dfc\n"

	 $dfc sendCommand "checkConnection;$transaction_id"

    }

    #dfc dataFlowController
    proc init { dfc transaction_id } {

         puts "Module slm_00 command init"

         #return "ACK"

         $dfc sendCommand "checkConnection;$transaction_id"

   }

    #dfc dataFlowController
    proc end_init { dfc transaction_id } {

         puts "Module slm_00 command end_init"

	 #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   }

    #dfc dataFlowController
    proc error_init { dfc transaction_id } {

         puts "Module slm_00 command error_init"

	 #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   }

    #dfc dataFlowController
    proc setup { dfc transaction_id } {

         puts "Module slm_00 command setup"

         #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   }

    #dfc dataFlowController
    proc end_setup { dfc transaction_id } {

         puts "Module slm_00 command end_setup"

	 #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   }

    #dfc dataFlowController
    proc error_setup { dfc transaction_id } {

         puts "Module slm_00 command error_setup"

	 #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   } 
    
}
